org.apache.http.impl.nio.reactor

## Class SessionHandle

- java.lang.Object
- - org.apache.http.impl.nio.reactor.SessionHandle

- Deprecated.
  (4.2) use `IOSessionImpl`

      @Deprecated
      public class SessionHandle
      extends Object

  Session handle class used by I/O reactor implementations to keep a reference to a `IOSession` along with information about time of last I/O operations on that session.
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionHandle(IOSession session)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getLastAccessTime()` Deprecated.
    `long` | `getLastReadTime()` Deprecated.
    `long` | `getLastWriteTime()` Deprecated.
    `IOSession` | `getSession()` Deprecated.
    `long` | `getStartedTime()` Deprecated.
    `void` | `resetLastRead()` Deprecated.
    `void` | `resetLastWrite()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionHandle

          public SessionHandle(IOSession session)

      Deprecated.

  - ### Method Detail

    - #### getSession

          public IOSession getSession()

      Deprecated.

    - #### getStartedTime

          public long getStartedTime()

      Deprecated.

    - #### getLastReadTime

          public long getLastReadTime()

      Deprecated.

    - #### getLastWriteTime

          public long getLastWriteTime()

      Deprecated.

    - #### getLastAccessTime

          public long getLastAccessTime()

      Deprecated.

    - #### resetLastRead

          public void resetLastRead()

      Deprecated.

    - #### resetLastWrite

          public void resetLastWrite()

      Deprecated.

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.